For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Company From CG
              • GETGet Company Basic Information
              • PUTUpdate Company Basic Information
              • DELDelete Company With Related
              • GETGet BC Order Id List By Company Id
              • GETGet Company By CustomerId
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APICompany

Delete Company With Related

Deprecated
DELETE
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/force-del
DELETE
/api/v2/io/companies/:companyId/force-del
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/force-del \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "companyId": "2"
5 },
6 "message": "Success"
7}
Force Delete A Company and its Related Information.
Was this page helpful?
Previous

Update Company Basic Information

Next

Get BC Order Id List By Company Id

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header

Response

Deleted successful
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error